上传文件
POST
/v1/mailboxes/{mailbox_id}/filesmultipart/form-data,字段 file. 大小从 1 字节到 25 MiB。防病毒软件在下载之前会检查文件。配额不足为 409,过大为 413,检测到威胁为 422,无法检查为 503。
要求
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files' \ -H 'Authorization: Bearer <access_token>' \选项
mailbox_idpath一定integerX-Customer-IDheader- 选项 1
string选项 2null
请求正文 · multipart/form-data
object
file一定string · binary
响应
201 成功回复
application/json
object
idstring · uuidfilenamestringcontent_typestringsize_bytesintegerscanned_at- 选项 1
stringUTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.
选项 2null
401 需要登录
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
403 无法访问
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
404 找不到资源
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
409 国家冲突
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
413 超出尺寸
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
422 验证错误
application/json
object
detailarray数组元素objectloc一定array数组元素选项 1string选项 2integermsg一定stringtype一定string
503 暂时无法使用
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object